server:
  port: 8015
  ssl:
    key-store: classpath:10767421_huatong.ifarmcloud.com.jks
    key-store-type: jks
    key-store-password: sjp124g3

spring:
  application:
    name: huimv-admin


  servlet:
    multipart:
      max-request-size: 100MB
      max-file-size: 10MB

  datasource:
    druid:
      url: jdbc:mysql://115.238.57.190:3306/huimv-huatong-secure?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
      username: root
      password: WICi9V6VC1GYjMR0ITj5mzmW7dzu7UsYubjyyHJbx3TlL7L8n+CGCnPE61gLWuhxn4mKqX7zdrYCfKy/4rITtg==
      driver-class-name: com.mysql.cj.jdbc.Driver
      filters: config
      connect-properties:
        config.decrypt: true
        config.decrypt.key: ${spring.datasource.druid.publickey}
      remove-abandoned-timeout: 120
    type: com.alibaba.druid.pool.DruidDataSource


  #配置rabbitMq 服务器
#  rabbitmq:
#    host: 10.0.0.4
#    port: 5672
#    username: huimv
#    password: hm123456
#    #虚拟host 可以不设置,使用server默认host
#    virtual-host: /

  #redis
  redis:
    host: 122.112.224.199
    port: 6379
    password: hm123456
  reactor:
    debug-agent:
      enabled: true
#  Nacos 配置
#  cloud:
#    nacos:
#      discovery:
#        server-addr: 192.168.1.68:8848 #配置nacos地址




mybatis-plus:
  configuration:
#    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl



img:
  url: https://img.ifarmcloud.com/images/
  basePath: /home/huimv/img/
  ip: 119.3.44.183
  user:  huimv
  password: "!hm123@1"
  port: 22
